## uboot-mkimage 0.4

=== Makefile ===
build:
	$(CC) -c crc32.c -o crc32.o
	$(CC) -c mkimage.c -o mkimage.o
	$(CC) -o mkimage *.o

clean:
	rm -f mkimage *.o

install:
	install -d $(DESTDIR)/usr/bin
	install -s mkimage $(DESTDIR)/usr/bin

=== debian/changelog ===
uboot-mkimage (0.4) unstable; urgency=low

  * Adoption by Marc Singer.

 -- Marc Singer <elf@debian.org>  Tue, 03 Jun 2008 20:48:17 -0700

uboot-mkimage (0.3) unstable; urgency=low

  * Write a simple makefile.
  * Use debhelper v7.
  * Rules file minimised to 3 lines.

 -- Joey Hess <joeyh@debian.org>  Thu, 24 Apr 2008 03:09:30 -0400

uboot-mkimage (0.2) unstable; urgency=low

  * Add build-dep on zlib1g-dev.

 -- Joey Hess <joeyh@debian.org>  Sat, 22 Mar 2008 15:43:21 -0400

uboot-mkimage (0.1) unstable; urgency=low

  * First release, based on the openwrt mkimage package which in turn
    is based on u-boot.
  * jigit currently contains a "mkimage" program, but Sledge has agreed to
    rename that in the next upload. Conflict with the current jigit.

 -- Joey Hess <joeyh@debian.org>  Sat, 22 Mar 2008 15:23:45 -0400

=== debian/control ===
Source: uboot-mkimage
Section: utils
Priority: optional
Build-Depends: debhelper (>= 7), zlib1g-dev
Maintainer: Marc Singer <elf@debian.org>
Standards-Version: 3.7.3
Vcs-Git: git://scarlet.buici.com/uboot-mkimage

Package: uboot-mkimage
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: jigit (<= 1.16-1)
Description: generate kernel image for U-Boot
 This package contains the mkimage utility, which encapsulates a compressed
 "uImage" Linux kerel image with header information, CRC32 checksum, etc,
 for use with the U-Boot bootloader.
 .
 mkimage can also be used to create ramdisk images for use
 with U-Boot, either separated from the Linux kernel image, or
 combined into one file. mkimage encapsulates the images with a 64
 byte header containing information about target architecture,
 operating system, image type, compression method, entry points, time
 stamp, CRC32 checksums, etc.

## uboot-mkimage 0.4build1

=== debian/changelog ===
uboot-mkimage (0.4build1) lucid; urgency=low

  * rebuild rest of main for armel armv7/thumb2 optimization;
    UbuntuSpec:mobile-lucid-arm-gcc-v7-thumb2

 -- Alexander Sack <asac@ubuntu.com>  Sun, 07 Mar 2010 01:09:47 +0100

## uboot-mkimage 0.4maemo1

=== debian/changelog ===
uboot-mkimage (0.4maemo1) fremantle; urgency=low

  * Maemo port of Ubuntu lucid version

 -- Thomas Tanner <maemo@tannerlab.com>  Wed, 10 Nov 2010 00:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: uboot-mkimage
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 7), zlib1g-dev
-Maintainer: Marc Singer <elf@debian.org>
+Build-Depends: debhelper7 (>= 7), zlib1g-dev
+Maintainer: Thomas Tanner <maemo@tannerlab.com>
+XSBC-Original-Maintainer: Marc Singer <elf@debian.org>
 Standards-Version: 3.7.3
 Vcs-Git: git://scarlet.buici.com/uboot-mkimage
